.row{position: relative;}
.row:before,.row:after { content:""; display: table ; clear:both;}

[class*='col-'] {
    float: left;min-height: 1px;width: 16.66%;-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;
}

.col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12 {float: left;position: relative;min-height: 1px;}
.col-12 {width: 100%;}
.col-11 {width: 91.66666667%;}
.col-10 {width: 83.33333333%;}
.col-9 {width: 75%;}
.col-8 {width: 66.66666667%;}
.col-7 {width: 58.33333333%;}
.col-6 {width: 50%;}
.col-5 {width: 41.66666667%;}
.col-4 {width: 33.33333333%;}
.col-3 {width: 25%;}
.col-2 {width: 16.66666667%;}
.col-1 {width: 8.33333333%;}

.flexbox{
	display: -webkit-box;      /* OLD - iOS 6-, Safari 3.1-6 */
 	display: -moz-box;         /* OLD - Firefox 19- (buggy but mostly works) */
 	display: -ms-flexbox;      /* TWEENER - IE 10 */
	display: -webkit-flex;     /* NEW - Chrome */
	display: flex;
}

.flex1{
  -webkit-box-flex: 1;
    -moz-box-flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.flex2{
  -webkit-box-flex: 2;
    -moz-box-flex: 2;
    -webkit-flex: 2;
    -ms-flex: 2;
    flex: 2;
}

.flex3{
  -webkit-box-flex: 3;
    -moz-box-flex: 3;
    -webkit-flex: 3;
    -ms-flex: 3;
    flex: 3;
}

/* flexbox for specific width */
.unflex{
  -webkit-box-flex: initial;
    -moz-box-flex: initial;
    -webkit-flex: initial;
    -ms-flex: initial;
    flex: initial;
}


.big-pad{padding: 30px;}

.med-pad{padding: 20px;}

.sma-pad{padding: 12px;}

@media (max-width: 720px) {
    [class*='col-'] {
        width: 100%;
    }
}

@media (max-width: 480px) {
    .big-pad{padding: 16px;}

    .med-pad{padding: 12px;}

    .sma-pad{padding: 8px;}
}